> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Subscription Settings

> Modifies existing subscription settings for a site



## OpenAPI

````yaml /openapi/openapi_settings.json put /commerce/settings/subscription/subscriptionsettings
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SETTINGS">
                <h2>SITE SETTINGS</h2>
                <p>The Site Settings APIs are a collection of resources used to manage settings for sites, checkout, installed applications, locations,
                    shipping, and general settings for a site. For more information about site settings and the associated configurations in the Unified Commerce Admin
                    interface, see the <a href="/pages/system">Settings user guides</a>.</p>
                <p>Use the <strong>Cart</strong> resource to manage settings for the cart, such as whether to include handling fees in the
                    cost calculations.</p>
                <p>Use the <strong>Checkout Settings</strong> resource to specify the site-wide settings that define checkout and order
                    processing behavior. This resource includes subresources for payment settings, customer checkout
                    settings, and order processing settings.</p>
                <p>Use the <strong>Fulfillment Settings</strong> resource to define site-wide fulfillment options such as the default
                    backorder duration, rejection actions, and BPM configurations.</p>
                <p>Use the <strong>General Settings</strong> resource to define global site settings such as the site name, shipping and
                    email addresses, and logo images. You can block undesirable IP addresses using this resource as well as
                    configure <a href="/pages/custom-route-settings">custom
                        routes</a>.</p>
                <p>Use the <strong>Inventory Settings</strong> resource to enable or disable inventory jobs and set a preferred time of day
                    for the jobs to run at.</p>
                <p>Use the <strong>Return Settings</strong> resource to specify the default return options for processing fees, shipping
                    locations, and label generation.</p>
                <p>Use the <strong>Shipping</strong> resource to manage settings for the site shipping information, such as origin address
                    information, carrier shipping methods, shipping rate providers, and regions available for shipping.</p>
            </div>
  title: Site Settings
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/settings/subscription/subscriptionsettings:
    put:
      tags:
        - SubscriptionSettings
      summary: Update Subscription Settings
      description: Modifies existing subscription settings for a site
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscriptionSettings'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionSettings'
            text/json:
              schema:
                $ref: '#/components/schemas/SubscriptionSettings'
            text/plain:
              schema:
                $ref: '#/components/schemas/SubscriptionSettings'
          description: OK
components:
  schemas:
    SubscriptionSettings:
      description: Subscription settings defined or this site
      properties:
        applyBestPriceOnContinuityOrder:
          nullable: true
          type: boolean
        applyLatestItemPriceOnContinuityOrder:
          description: >-
            If this setting is enabled, the item price on the continuity order
            will be updated to the current price upon creation.
          nullable: true
          type: boolean
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        continuityOrderDateOffset:
          description: >-
            Specifies the number of days before the next order date to create
            the continuity order.
          format: int32
          type: integer
        nextOrderDateOffset:
          description: >-
            Specifies the number of days to update the next order date from
            existing next order date.
          format: int32
          nullable: true
          type: integer
        orderNowResetNextOrderDate:
          description: Specifies if order now action resets next order date
          nullable: true
          type: boolean
        pauseSubscriptionOffset:
          description: >-
            Specifies the number of continuity orders should be placed before
            activating the subscription.
          format: int32
          nullable: true
          type: integer
        restrictOrderNowOffset:
          description: >-
            Specifies the number of days, `order all items now` or `order
            partial items now` actions cannot be repeated from the last action.
          format: int32
          nullable: true
          type: integer
        skipSubscriptionOffset:
          description: Specifies the number of times the subscription can be skipped
          format: int32
          nullable: true
          type: integer
        subscriptionOrderReminderOffset:
          description: >-
            Specifies the number of days to send subscription order reminder
            email before the next continuity order.
          format: int32
          nullable: true
          type: integer
        subscriptionPauseLimitReminderOffset:
          description: >-
            Specifies the number of days prior to when we need to send a 

            "subscription pause limit reached reminder" email before the pause
            limit is reached.
          format: int32
          nullable: true
          type: integer
        subscriptionPausedReminderOffset:
          description: >-
            Specifies the number of days to send subscription paused reminder
            email.
          format: int32
          nullable: true
          type: integer
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````